package compbio.engine;

import java.util.ArrayList;
import java.util.List;

import compbio.cassandra.FastaSequence;

public class JpredJob extends Job {
	private String protein;
	private String log;
	private List<FastaSequence> predictions;
	private List<FastaSequence> alignment;

	public JpredJob() {
		super();
	}

	public JpredJob(String jobid, String date1, String date2) {
		super(jobid, date1, date2);
		this.protein = protein;
		predictions = new ArrayList<FastaSequence>();
		alignment  = new ArrayList<FastaSequence>();
		log = "";
	}

	public JpredJob(String jobid, String date1, String date2, List<FastaSequence> alignment, List<FastaSequence> predictions) {
		super(jobid, date1, date2);
		this.protein = protein;
		this.alignment = alignment;
		this.predictions = predictions; 
	}

	public void setProtein(String protein) {
		this.protein = protein;
	}

	public String getProtein() {
		return protein;
	}

	public void setLog(String log) {
		this.log = log;
	}

	public String getLog() {
		return log;
	}

	public void setAlignment(List<FastaSequence> al) {
		this.alignment = al;
	}

	public List<FastaSequence> getAlignment() {
		return alignment;
	}

	public void setPredictions(List<FastaSequence> pr) {
		this.predictions = pr;
	}

	public List<FastaSequence> getPredictions() {
		return predictions;
	}
}
